Get Fix Suggestion

Cortex XSIAM Platform APIs

get /public_api/appsec/v1/issues/fix/{issueId}/fix_suggestion

Retrieves a comprehensive fix suggestion for a specified application security issue. Use optional query parameters to include data such as the original code block, remediation instructions, or the suggested code fix.

Required License:

Cortex XSIAM Premium. In Cortex XSIAM Enterprise and Cortex NG SIEM, requires the Cortex Cloud Posture Management with Application Security add-on.

Path parameters
issueId String required

The unique identifier for the specific application security issue.

Example: 1234567
Query parameters
showCodeBlock Boolean

Specifies whether to include the original code block in the response.

Example: true
Default: true
showRemediationInstruction Boolean

Specifies whether to include manual remediation instructions in the response.

Example: true
Default: false
showSuggestedCodeBlock Boolean

Specifies whether to include the automated code fix in the response.

Example: true
Default: true
CLIENT REQUEST
curl -X 'GET'
-H 'Accept: application/json'
'https://api-yourfqdn/public_api/appsec/v1/issues/fix/{issueId}/fix_suggestion?showCodeBlock=true&showRemediationInstruction=true&showSuggestedCodeBlock=true'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") conn.request("GET", "/public_api/appsec/v1/issues/fix/1234567/fix_suggestion?showCodeBlock=SOME_BOOLEAN_VALUE&showRemediationInstruction=SOME_BOOLEAN_VALUE&showSuggestedCodeBlock=SOME_BOOLEAN_VALUE") res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/appsec/v1/issues/fix/1234567/fix_suggestion?showCodeBlock=SOME_BOOLEAN_VALUE&showRemediationInstruction=SOME_BOOLEAN_VALUE&showSuggestedCodeBlock=SOME_BOOLEAN_VALUE") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("GET", "https://api-yourfqdn/public_api/appsec/v1/issues/fix/1234567/fix_suggestion?showCodeBlock=SOME_BOOLEAN_VALUE&showRemediationInstruction=SOME_BOOLEAN_VALUE&showSuggestedCodeBlock=SOME_BOOLEAN_VALUE"); xhr.send(data);
HttpResponse<String> response = Unirest.get("https://api-yourfqdn/public_api/appsec/v1/issues/fix/1234567/fix_suggestion?showCodeBlock=SOME_BOOLEAN_VALUE&showRemediationInstruction=SOME_BOOLEAN_VALUE&showSuggestedCodeBlock=SOME_BOOLEAN_VALUE") .asString();
import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/appsec/v1/issues/fix/1234567/fix_suggestion?showCodeBlock=SOME_BOOLEAN_VALUE&showRemediationInstruction=SOME_BOOLEAN_VALUE&showSuggestedCodeBlock=SOME_BOOLEAN_VALUE")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/appsec/v1/issues/fix/1234567/fix_suggestion?showCodeBlock=SOME_BOOLEAN_VALUE&showRemediationInstruction=SOME_BOOLEAN_VALUE&showSuggestedCodeBlock=SOME_BOOLEAN_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/appsec/v1/issues/fix/1234567/fix_suggestion?showCodeBlock=SOME_BOOLEAN_VALUE&showRemediationInstruction=SOME_BOOLEAN_VALUE&showSuggestedCodeBlock=SOME_BOOLEAN_VALUE"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/appsec/v1/issues/fix/1234567/fix_suggestion?showCodeBlock=SOME_BOOLEAN_VALUE&showRemediationInstruction=SOME_BOOLEAN_VALUE&showSuggestedCodeBlock=SOME_BOOLEAN_VALUE"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request);
Responses

Fix Suggestion Response

Body
application/json
issueIdstringrequired

Unique identifier for the issue.

issueNamestringrequired

Name of the security issue.

existingCodeBlockstring

Original vulnerable code.

remediationInstructionstring

Manual remediation instructions.

suggestedCodeBlockstring

Automated fix suggestions.

RESPONSE
{ "issueId": "example", "issueName": "example", "existingCodeBlock": "example", "remediationInstruction": "example", "suggestedCodeBlock": "example" }